Package twisted :: Package protocols :: Module msn :: Class MSNContactList

[frames | no frames]

## Class MSNContactList

This class represents a basic MSN contact list.

Method Summary
| `__init__(self)`
| ``_getContactsFromList`(self, listType)` Obtain all contacts which belong to the given list type.
| ``addContact`(self, contact)` Add a contact
| ``getAuthorizedContacts`(self)` Obtain all the contacts on my auth list.
| ``getBlockedContacts`(self)` Obtain all the contacts on my block list
| ``getContact`(self, userHandle)` Obtain the MSNContact object associated with the given userHandle.
| ``getContacts`(self)` Get all contacts on my forward list.
| ``getReverseContacts`(self)` Get all contacts on my reverse list.
| ``remContact`(self, userHandle)` Remove a contact
| ``remGroup`(self, id)` Removed the stored group mapping for the given id.
| ``setGroup`(self, id, name)` Keep a mapping from the given id to the given name.

Instance Variable Summary
dict (mapping user handles to MSNContact objects) | `contacts`: All contacts on my various lists
dict Note: This is used only for storage and doesn't effect the server's contact list. | `groups`: a mapping of group ids to group names (groups can only exist on the forward list)
| `version`: The current contact list version (used for list syncing)

Method Details

### _getContactsFromList(self, listType)

Obtain all contacts which belong to the given list type.

### addContact(self, contact)

Add a contact

### getAuthorizedContacts(self)

Obtain all the contacts on my auth list. (These are contacts which I have verified can view my state changes).

### getBlockedContacts(self)

Obtain all the contacts on my block list

### getContact(self, userHandle)

Obtain the MSNContact object associated with the given userHandle.

  Returns:
    the MSNContact object if the user exists, or None.

### getContacts(self)

Get all contacts on my forward list. (These are the contacts which I have added to my list).

### getReverseContacts(self)

Get all contacts on my reverse list. (These are contacts which have added me to their forward list).

### remContact(self, userHandle)

Remove a contact

### remGroup(self, id)

Removed the stored group mapping for the given id.

### setGroup(self, id, name)

Keep a mapping from the given id to the given name.

Instance Variable Details

### contacts

All contacts on my various lists

  Type:
    dict (mapping user handles to MSNContact objects)

### groups

a mapping of group ids to group names (groups can only exist on the forward list)

  Type:

    dict

    Note: This is used only for storage and doesn't effect the server's contact list.

### version

The current contact list version (used for list syncing)

Generated by Epydoc 2.0 on Sat May 15 20:07:37 2004 | http://epydoc.sf.net